function init(hero) {
    hero.setName("The Drowned/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(5);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:chokuto", true, item => !item.nbt().getBoolean("Dual"));
    
    hero.addPowers("knights:gene_modifications");
    hero.addAttribute("PUNCH_DAMAGE", 5.7, 0);
    hero.addAttribute("WEAPON_DAMAGE", 6, 0);
    hero.addAttribute("JUMP_HEIGHT", 1, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 4.5, 1);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1)
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
   default:
        return true;
    }
}

